/// <reference types="node" />
declare type SpawnKillCallback = (signal: NodeJS.Signals | number | undefined) => boolean;
declare type SpawnKillHandler = {
    addCallback: (callback: SpawnKillCallback) => void;
    kill: (signal: NodeJS.Signals | number | undefined) => boolean[];
};
declare const createSpawnKillHandler: ({ registerStdin }?: {
    registerStdin?: boolean | undefined;
}) => SpawnKillHandler;
export type { SpawnKillHandler };
export { createSpawnKillHandler };
//# sourceMappingURL=createSpawnKillHandler.d.ts.map