"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCoverageFolder = void 0;

var _path = require("path");

var _tools = require("@kettil/tools");

const getCoverageFolder = (path, projects) => {
  if (projects.length === 1) {
    const project = projects.at(0);

    if ((0, _tools.isString)(project)) {
      return (0, _path.join)(path, 'coverage', `_${project.replace(/[^\da-z]+/giu, '_')}`);
    }
  }

  return (0, _path.join)(path, 'coverage');
};

exports.getCoverageFolder = getCoverageFolder;