"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isSelectedService = void 0;

var _tools = require("@kettil/tools");

const isSelectedService = (value, service) => {
  if ((0, _tools.isArray)(value)) {
    return value.includes(service);
  }

  return typeof value === 'undefined' || value === service;
};

exports.isSelectedService = isSelectedService;