"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.taskIsDiasbled = void 0;

var _spinner = require("../cli/spinner");

var _spinnerWarnError = require("../errors/spinnerWarnError");

const taskIsDiasbled = async message => {
  try {
    const packageLintWarning = new _spinnerWarnError.SpinnerWarnError(message);
    await (0, _spinner.spinnerAction)(Promise.reject(packageLintWarning), message);
  } catch (error) {
    if (!(error instanceof _spinnerWarnError.SpinnerWarnError)) {
      throw error;
    }
  }
};

exports.taskIsDiasbled = taskIsDiasbled;